searchNodes=[{"doc":"Documentation for OpentelemetryFunction . This package provides functions to help propagating OpenTelemetry context across functions that are executed asynchronously.","ref":"OpentelemetryFunction.html","title":"OpentelemetryFunction","type":"module"},{"doc":"Accepts a function and wraps it in a function which propagates OpenTelemetry context. This function supports functions with arity up to 9. Example # Before task = Task . async ( func ) Task . await ( task , timeout ) # With explicit context propagation ctx = OpenTelemetry.Ctx . get_current ( ) task = Task . async ( fn -&gt; OpenTelemetry.Ctx . attach ( ctx ) func . ( ) end ) Task . await ( task , timeout ) # With this helper function task = Task . async ( OpentelemetryFunction . wrap ( func ) ) Task . await ( task , timeout ) It is also possible to use this with MFA: # Before :jobs . enqueue ( :tasks_queue , { mod , fun , args } ) # After wrapped_fun = OpenTelemetry.Function . wrap ( { mod , fun , args } ) :jobs . enqueue ( :tasks_queue , wrapped_fun )","ref":"OpentelemetryFunction.html#wrap/2","title":"OpentelemetryFunction.wrap/2","type":"function"},{"doc":"OpentelemetryFunction This package provides functions to help propagating OpenTelemetry context across functions that are executed asynchronously.","ref":"readme.html","title":"OpentelemetryFunction","type":"extras"},{"doc":"The package can be installed by adding opentelemetry_function to your list of dependencies in mix.exs : def deps do [ { :opentelemetry_function , &quot;~&gt; 0.1.0-rc.1&quot; } ] end","ref":"readme.html#installation","title":"OpentelemetryFunction - Installation","type":"extras"},{"doc":"Lets say you are executing a function in a different process. For example: task = Task . async ( func ) Task . await ( task , timeout ) OpenTelemetry by default does not propagate context through processes, so you'll have to do something like this: span_ctx = OpenTelemetry.Tracer . start_span ( &quot;Some expensive calculation&quot; ) ctx = OpenTelemetry.Ctx . get_current ( ) task = Task . async ( fn -&gt; OpenTelemetry.Ctx . attach ( ctx ) OpenTelemetry.Tracer . set_current_span ( span_ctx ) func . ( ) end ) Task . await ( task , timeout ) OpenTelemetry.Span . end_span ( span_ctx ) With this module you can use wrap/2 function instead: task = Task . async ( OpentelemetryFunction . wrap ( func , &quot;Some expensive calculation&quot; ) ) Task . await ( task , timeout ) This helps to keep the code short and to the point. If you do not provide the span name, then Function.wrap is used as the span name. OpenTelemetry.Tracer functions that work on the current span can be used as well: OpenTelemetry.Tracer . update_name ( &quot;Some expensive calculation&quot; )","ref":"readme.html#examples","title":"OpentelemetryFunction - Examples","type":"extras"},{"doc":"Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/opentelemetry_function .","ref":"readme.html#documentation","title":"OpentelemetryFunction - Documentation","type":"extras"}]